# rename this file to Zaaksysteem.yml and put a ':' in front of 'name' if
# you want to use YAML like in old versions of Catalyst
name Zaaksysteem

saas_range             = 10.44.0.1\d+
otap_ip                = 10.44.0.11
invoke_assets_minified = 0
libreoffice_version    = 3
default_customer       = dev.zaaksysteem.nl

experimental_caching_disabled = 0

# Syntax: comma-separated networks (CIDR), without spaces
platform_allowed_from = 127.0.0.1,10.44.0.0/24

# API Key used to communicate with the scheduler or other urls which are invoked
# by crons etc.
platform_api_key       = abcdefghijklmnopqrstuwv1234567890
zs_platform_key        = abcdefghijklmnopqrstuwv1234567890

# enum(development, production, testing, accept)
otap                   = development

import_home_directory  = /home/zaaksysteem

# Developer option, on production like environments you want to enable this.
disable_xml_compile_preload = 1

<Transaction>
    maximum_age_days = 120
    maximum_rows = 50
</Transaction>

<Sysin>
    <postex>
        api_whitelisted = 1
    </postex>
    <mijnoverheid>
        api_whitelisted = 1
    </mijnoverheid>
    <email>
        api_whitelisted = 1
    </email>
    <emailconfiguration>
        api_whitelisted = 1
    </emailconfiguration>
    <kcc>
        api_whitelisted = 1
    </kcc>
    <next2know>
        api_whitelisted = 1
    </next2know>
    <overheidio>
        api_whitelisted = 1
    </overheidio>
    <qmatic>
        api_whitelisted = 1
    </qmatic>
    <stuf_dcr>
        api_whitelisted = 1
    </stuf_dcr>
    <stufconfig>
        api_whitelisted = 1
    </stufconfig>
    <supersaas>
        api_whitelisted = 1
    </supersaas>
    <xential>
        api_whitelisted = 1
    </xential>
    <koppelapp_signer>
        api_whitelisted = 1
    </koppelapp_signer>
    <koppelapp_document_masker>
        api_whitelisted = 1
    </koppelapp_document_masker>
    <koppelapp_appointments>
        api_whitelisted = 1
    </koppelapp_appointments>
    <koppelapp_objections>
        api_whitelisted = 1
        is_public = 1
    </koppelapp_objections>
    <auth_twofactor>
        api_whitelisted = 1
    </auth_twofactor>
    <controlpanel>
        api_whitelisted = 1
    </controlpanel>
</Sysin>

<statsd>
    host = statsd
    port = 8125
</statsd>

<Log4perl>
    file = /etc/zaaksysteem/log4perl.conf
    <options>
        autoflush   = 1
        watch_delay = 60
    </options>
</Log4perl>

google_api_key = "nonexistent"

<Plugin::Session>
    # The following defaults are used in the application
    #cookie_samesite = Strict
    #expires => 7200

    cookie_expires  = 0
    cookie_secure   = 1
    cookie_httponly = 1

    redis_server = redis:6379
    redis_reconnect = 1
    redis_debug  = 0
</Plugin::Session>

<Store::Redis>
    server = redis:6379
    reconnect = 1
    debug  = 0
</Store::Redis>

<Plugin::Cache>
    <backend>
        class   = Cache::Redis
        server  = redis:6379
        #namespace = cache:
        # JSON serializer breaks Digest authentication
        #serializer = JSON
        default_expires_in = 3600
    </backend>
</Plugin::Cache>

<Search::Elasticsearch>
    <BAG>
        nodes = [ es-bag:9200 ]
    </BAG>
    <Object>
        nodes = [ syzygy-index:9200 ]
    </Object>
</Search::Elasticsearch>


<Plugin::Zaaksysteem::Filestore>
    name = minio
    class = Zaaksysteem::Filestore::Engine::S3
    <constructor_arguments>
        bucket = dev
        access_key = AKIAIOSFODNN7EXAMPLE
        secret_key = wJalrXUtnFEMI/K7MDENG/bPxRfiCYEXAMPLEKEY
        host = http://minio.dev.zaaksysteem.nl:9000
        secure = 0
        use_virtual_host = 0
    </constructor_arguments>
</Plugin::Zaaksysteem::Filestore>

#<Plugin::Zaaksysteem::Filestore>
#    name = LocalSwift
#    class = Zaaksysteem::Filestore::Engine::Swift
#    <constructor_arguments>
#        os_auth_url = http://swift:35357/v2.0
#        os_username = demo
#        os_password = demo
#        os_tenant_name = test
#        os_timeout     = 60
#    </constructor_arguments>
#</Plugin::Zaaksysteem::Filestore>

# Old-style: local file storage
#<Plugin::Zaaksysteem::Filestore>
#    name = LocalUStore
#    class = Zaaksysteem::Filestore::Engine::UStore
#    <constructor_arguments>
#        # Used for download acceleration
#        accelerated_download_root = /opt/filestore
#    </constructor_arguments>
#</Plugin::Zaaksysteem::Filestore>

<Model::Queue>
    host = message-queue
    channel = 1
# By default Zaaksysteem::Model::Queue->prepare_arguments configures the 'amq.topic' exchange.
# If you configure a different one, make sure it exists before configuring it here.
#    exchange = amq.topic
#    <options>
#        # See Net::AMQP::RabbitMQ->connect() for possible options:
#        user            => $user,        #default 'guest'
#        password        => $password,    #default 'guest'
#        port            => $port,        #default 5672
#        vhost           => $vhost,       #default '/'
#        channel_max     => $cmax,        #default 0
#        frame_max       => $fmax,        #default 131072
#        heartbeat       => $hearbeat,    #default 0
#        timeout         => $seconds      #default undef (no timeout)
#    
#        ssl             => 1 | 0         #default 0
#        ssl_verify_host => 1 | 0         #default 1
#        ssl_cacert      => $caert_path   #needed for ssl
#        ssl_init        => 1 | 0         #default 1, initilise the openssl library
#    </rabbitmq_options>
</Model::Queue>

#<Plugin::Zaaksysteem::Filestore>
#    name = SwiftStore1
#    class = Zaaksysteem::Filestore::Engine::Swift
#    <constructor_arguments>
#        os_auth_url = https://identity.api.fuga.io:5000/v2.0
#        os_username = XX
#        os_password = XX
#        os_tenant_name = XX
#        os_timeout = 30 # The default is 30, up where needed
#    </constructor_arguments>
#</Plugin::Zaaksysteem::Filestore>
